Serversman@VPSでrainウォレット

※もしかするとソースコードめっちゃ古くて、今のrainと互換性が無いかもしれません。念のため記事は残しますが利用は推奨しません。
2017.9.7 AM7:52追記
2chのrainスレの199氏より「ウォレットの送受信試したら問題無い」とレポートありました。
あくまでWindows版QT-Walletのwallet.datとの互換性が無いだけのようです。

2chのrainスレに先に方法を書いちゃったけど、とりあえずコチラでもうp。

VPSは毎度おなじみServersMan@VPSの467円プランです。

・Condensate(Rain)について
BitcoinTalk : [[RAIN]X11 CPU/GPU PoW OVER! 20,000,000 COINS BURNED! condensate.co

・前準備
sudo apt-get install build-essential
sudo apt-get install libssl-dev
sudo apt-get install libdb++-dev
sudo apt-get install libboost-all-dev
sudo apt-get install libqrencode-dev

・これもいるかも?
sudo apt-cache search libdb
sudo apt-get install libdb-dev

・環境によってはコチラも必要かも
sudo add-apt-repository ppa:bitcoin/bitcoin
sudo apt-get update
sudo apt-get install libboost-system-dev libboost-filesystem-dev libboost-chrono-dev libboost-program-options-dev libboost-test-dev libboost-thread-dev
sudo apt-get install libdb4.8-dev libdb4.8++-dev

・ソースコード落とす
git clone https://github.com/OBAViJEST/rain
cd ~/rain/src
make -f makefile.unix

・g++エラーが出た時はXCXTと同じ対処
cd leveldb
chmod 755 build_detect_platform
make libleveldb.a libmemenv.a
cd ..
make -f makefile.unix

・ビルドが完了したらconf作成
cp raind ..
cd ..
mkdir ~/.rain
nano ~/.rain/rain.conf

rain.confの内容
rpcuser=ユーザ名
rpcpassword=パスワード
rpcallowip=127.0.0.1

rain.confを保存したらパーミッションをリードオンリに
chmod 400 ~/.rain/rain.conf

プログラムを実行し情報を表示
~/rain/raind –daemon
~/rain/raind getinfo

後は他のコンソール用ウォレットと同じ使い方でOKです。

Serversman@VPSでrainウォレット” への4件のコメント

  1. こんばんは
    突然失礼します
    2chに書き込もうか迷ったのですが長文なのでこちらに

    上記の通りにmakeしたのですが下記のエラーがでてしまいます
    bignum.h:56:24: error: invalid use of incomplete type ‘BIGNUM {aka struct bignum_st}’
    class CBigNum : public BIGNUM
    ネットで調べてみたところopensslのバージョンが新しすぎるとダメみたいな情報を見つけダウングレード(1.1から1.02lへ)してみたのですが変わらず…
    何か思い当たる原因ありますでしょうか?

    当方buffaloのlinkstationでOSはdebian stretchです
    VPSと関係ない質問で申し訳ありませんが宜しければお願いいたします

  2. 元々のビルドがx86系のUbuntu想定っぽいので何とも言えない感じですね。
    VitualBoxやVMwareでUbuntu 14.04LTS環境を構築して、
    クロスコンパイルでARM用バイナリを生成してLinkstationにコピーして
    実行する方が良いかもしれません。

    あと、本文中にも記載していますが
    「このウォレットのrainが果たして今のrainと互換性があるのか」
    は謎です。

    • 返信ありがとうございます
      linux初心者なのでそれらも勉強しながら色々と遊んでみたいと思います

      貴重な情報ありがとうございました

      • 度々失礼します
        linkstationでチャレンジしてた者ですが、あれからディストリ自体をjessieにダウングレードしたら後はこのサイトのおかげで何の苦労もなくビルドできました
        情報ありがとうございました

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です